
Redmine - Defect #6725

Acronyms don't work for Russian language

2010-10-22 12:55 - Александр Шестаков

Status: New Start date: 2010-10-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: Unplanned backlogs   

Resolution:  Affected version: 1.0.1

Description

For example:

Россия(Russsia in Russian)

don't works :(

Related issues:

Has duplicate Redmine - Defect #9665: Wiki format: acronyms in Cyrillic do no... Closed 2011-11-25

Has duplicate Redmine - Defect #14765: Acronyms do not work for Russian Closed

Blocked by Redmine - Feature #4050: Ruby 1.9 support Closed 2009-10-18

History

#1 - 2010-10-22 13:49 - Holger Just

- Assignee deleted (Holger Just)

Please don't assign issue to people without them telling you to do so.

Also, please state what you exactly you mean with "don't works".

#2 - 2010-10-27 23:35 - Jean-Baptiste Barth

Acronyms only work with one capital letter followed by some capital letters or numbers. By letter, we mean A to Z... So Blah(de fi ni tion) will produce

Blah(de fi ni tion).

In your example, are "Россия" all capital letters in russian alphabet ?

#3 - 2010-10-28 09:38 - Александр Шестаков

Yes, for example:

en: RUSSIA

ru: РОССИЯ(Страна)

#4 - 2010-10-29 05:02 - Jean-Baptiste Barth

- Assignee set to Jean-Baptiste Barth

- Target version set to Unplanned backlogs

OK. It won't be easy to implement until we fully support Ruby 1.9, which comes with the right libraries to handle non-ASCII characters.

For the record, everything happens line 459 of lib/redcloth3.rb (maybe we'll be on RedCloth4 when we support Ruby 1.9...). Regex with Unicode

selectors like "РОССИЯ".match(/^\p{Lu}+$/) should work on Ruby 1.9+ (PCRE lib is too old on Ruby 1.8.x)

#5 - 2011-02-02 13:31 - killout killout

Hello. This is my version of solving problem.

1. Add trigger to wiki_pages table:

-- Trigger: alex_wiki_pages_tolower on wiki_pages
-- DROP TRIGGER alex_wiki_pages_tolower ON wiki_pages;

CREATE TRIGGER alex_wiki_pages_tolower

  AFTER INSERT OR UPDATE

  ON wiki_pages

  FOR EACH ROW

  EXECUTE PROCEDURE alex_wiki_pages_tolower();

 2.add trigger function to redmine postgresql database:

-- Function: alex_wiki_pages_tolower()

-- DROP FUNCTION alex_wiki_pages_tolower();

CREATE OR REPLACE FUNCTION alex_wiki_pages_tolower()

  RETURNS trigger AS

$BODY$

BEGIN

NEW.title=lower(NEW.title);

return NEW;

END;

$BODY$

  LANGUAGE plpgsql VOLATILE

  COST 100;

ALTER FUNCTION alex_wiki_pages_tolower() OWNER TO postgres;

 So new pages will created in small leters, even if you taped in capital letters.

#6 - 2012-06-10 22:42 - Jean-Baptiste Barth

- Assignee deleted (Jean-Baptiste Barth)

#7 - 2017-07-21 15:19 - Ivan Cenov

Not resolved in Redmine 2.6.10.stable

Will it be resolved in nowadays versions?

#8 - 2017-07-28 22:03 - Mischa The Evil

- Has duplicate Defect #14765: Acronyms do not work for Russian added

#9 - 2017-07-28 22:05 - Mischa The Evil

- Subject changed from Acronyms don't works for russian language to Acronyms don't work for Russian language

- Category changed from Wiki to Text formatting
